# BuildInitConfig

@Incubating
interface BuildInitConfig

Represents a BuildInitSpec that has been configured by the user, and can provide arguments for all of its BuildInitParameters.

#### Since

8.12

## Functions

getArguments
Link copied to clipboard
abstract fun getArguments(): Map<BuildInitParameter<out Any>, Any>
Returns the configured parameters for the build specification this instance configures.
getBuildSpec
Link copied to clipboard
abstract fun getBuildSpec(): BuildInitSpec
Returns the build specification this configuration is meant to generate.